# Class WithdrawFundsRequest

#### Hierarchy

- unknown
  - WithdrawFundsRequest

- Defined in src/protobuf/grpc_pb.d.ts:2610
- Defined in src/protobuf/grpc_pb.d.ts:2628

#####
Index

### Constructors

constructor

### Methods

getAddress
getMemo
getTradeId
serializeBinary
setAddress
setMemo
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new WithdrawFundsRequest(): WithdrawFundsRequest

- #### Returns WithdrawFundsRequest

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2614

### getMemo

- getMemo(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2617

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2611

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2620

### setAddress

- setAddress(value: string): WithdrawFundsRequest

- #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2615

### setMemo

- setMemo(value: string): WithdrawFundsRequest

- #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2618

### setTradeId

- setTradeId(value: string): WithdrawFundsRequest

- #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2612

### toObject

- toObject(includeInstance?: boolean): WithdrawFundsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns WithdrawFundsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2621

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): WithdrawFundsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns WithdrawFundsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2624

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: WithdrawFundsRequest, reader: BinaryReader): WithdrawFundsRequest

- #### Parameters

  - ##### message: WithdrawFundsRequest

  - ##### reader: BinaryReader

  #### Returns WithdrawFundsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2625

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: WithdrawFundsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: WithdrawFundsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2623

### `Static` toObject

- toObject(includeInstance: boolean, msg: WithdrawFundsRequest): WithdrawFundsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: WithdrawFundsRequest

  #### Returns WithdrawFundsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2622

Generated using TypeDoc